Package twisted :: Package mail :: Module protocols :: Class VirtualPOP3 |
[frames | no frames]

## Class VirtualPOP3

    BaseProtocol --+
                   |
            Protocol --+
                       |
        LineOnlyReceiver --+
                           |
            TimeoutMixin --+
                           |
                        POP3 --+
                               |
                              VirtualPOP3

Virtual hosting POP3.

Method Summary
`Deferred` | ``authenticateUserAPOP`(self, user, digest)` Perform authentication of an APOP login.
`Deferred` | ``authenticateUserPASS`(self, user, password)` Perform authentication of a username/password login.
| `lookupDomain(self, user)`
Inherited from POP3
| ``_cbMailbox`(self, ial, user)`
| ``_ebMailbox`(self, failure)`
| ``_ebUnexpected`(self, failure)`
| ``_unblock`(self, _)`
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``do_APOP`(self, user, digest)`
| ``do_AUTH`(self, args)`
| ``do_CAPA`(self)`
| ``do_DELE`(self, i)`
| ``do_LAST`(self)` Respond with the highest message access thus far
| ``do_LIST`(self, i)`
| ``do_NOOP`(self)` Perform no operation.
| ``do_PASS`(self, password)`
| ``do_QUIT`(self)`
| ``do_RETR`(self, i)`
| ``do_RPOP`(self, user)`
| ``do_RSET`(self)` Unset all deleted message flags
| ``do_STAT`(self)`
| ``do_TOP`(self, i, size)`
| ``do_UIDL`(self, i)`
| ``do_USER`(self, user)`
| ``failResponse`(self, message)`
| ``finishedFileTransfer`(self, lastsent)`
| ``generateMagic`(self)`
| ``getMessageFile`(self, i)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``listCapabilities`(self)`
| ``processCommand`(self, command, *args)`
| ``state_AUTH`(self, line)`
| ``state_COMMAND`(self, line)`
| ``successResponse`(self, message)`
| ``transformChunk`(self, chunk)`
Inherited from LineOnlyReceiver
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from TimeoutMixin
| ``resetTimeout`(self)` Reset the timeout count down
| ``setTimeout`(self, period)` Change the timeout period
| ``timeoutConnection`(self)` Called when the connection times out.

Class Variable Summary
`str` | `domainSpecifier` = `'@'`
`NoneType` | `service` = None
Inherited from POP3
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`NoneType` | `_onLogout` = None
`NoneType` | `_userIs` = None
`list` | `AUTH_CMDS` = `['CAPA', 'USER', 'PASS', 'APOP', 'AUTH', 'RP...`
`NoneType` | `blocked` = None
`NoneType` | `factory` = None
`int` | `highest` = 0
`NoneType` | `magic` = None
`NoneType` | `mbox` = None
`NoneType` | `portal` = None
`str` | `state` = `'COMMAND'`
`NoneType` | `timeOut`: The number of seconds after which to timeout the connection.
Inherited from LineOnlyReceiver
`str` | `_buffer` = `''`
`str` | `delimiter` = `'\r\n'`
`int` | `MAX_LENGTH` = 16384
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None
Inherited from TimeoutMixin
`NoneType` | `_TimeoutMixin__lastReceived` = None
`NoneType` | `_TimeoutMixin__timeoutCall` = None

Method Details

### authenticateUserAPOP(self, user, digest) Perform authentication of an APOP login. Parameters: `user` - The name of the user attempting to log in. (type=`str`) `digest` - The response string with which the user replied. (type=`str`) Returns: A deferred whose callback is invoked if the login is successful, and whose errback will be invoked otherwise. The callback will be passed a 3-tuple consisting of IMailbox, an object implementing IMailbox, and a zero-argument callable to be invoked when this session is terminated. (type=`Deferred`) Overrides: `twisted.protocols.pop3.POP3.authenticateUserAPOP` (inherited documentation)

### authenticateUserPASS(self, user, password) Perform authentication of a username/password login. Parameters: `user` - The name of the user attempting to log in. (type=`str`) `password` - The password to attempt to authenticate with. (type=`str`) Returns: A deferred whose callback is invoked if the login is successful, and whose errback will be invoked otherwise. The callback will be passed a 3-tuple consisting of IMailbox, an object implementing IMailbox, and a zero-argument callable to be invoked when this session is terminated. (type=`Deferred`) Overrides: `twisted.protocols.pop3.POP3.authenticateUserPASS` (inherited documentation)

Class Variable Details

    ### domainSpecifier Type: `str` Value:
        '@'

    ### service Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net